Package org.eclipse.emf.cdo.server.ocl

# Class CDOExtentMap

java.lang.Object
org.eclipse.emf.cdo.server.ocl.CDOExtentMap

All Implemented Interfaces:
  `Map<EClass,Set<? extends EObject>>`

public class CDOExtentMap extends Object implements Map<EClass,Set<? extends EObject>>
Maps `classes` to their extents.

The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`CDOExtentMap(OCLExtentCreator extentCreator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
`void`
`clear()`
`boolean`
`containsKey(Object key)`
`boolean`
`containsValue(Object value)`
`Set<Map.Entry<EClass,Set<? extends EObject>>>`
`entrySet()`
`boolean`
`equals(Object obj)`
`Set<? extends EObject>`
`get(Object key)`
`int`
`hashCode()`
`boolean`
`isEmpty()`
`Set<EClass>`
`keySet()`
`Set<? extends EObject>`
`put(EClass key, Set<? extends EObject> value)`
`void`
`putAll(Map<? extends EClass,? extends Set<? extends EObject>> t)`
`Set<? extends EObject>`
`remove(Object key)`
`int`
`size()`
`String`
`toString()`
`Collection<Set<? extends EObject>>`
`values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### CDOExtentMap

public CDOExtentMap(OCLExtentCreator extentCreator)

## Method Details

### cancel

public void cancel()

### get

public Set<? extends EObject> get(Object key)

Specified by:
  `get` in interface `Map<EClass,Set<? extends EObject>>`

### clear

public void clear()

Specified by:
  `clear` in interface `Map<EClass,Set<? extends EObject>>`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<EClass,Set<? extends EObject>>`

### containsValue

public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<EClass,Set<? extends EObject>>`

### entrySet

public Set<Map.Entry<EClass,Set<? extends EObject>>> entrySet()

Specified by:
  `entrySet` in interface `Map<EClass,Set<? extends EObject>>`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `Map<EClass,Set<? extends EObject>>`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map<EClass,Set<? extends EObject>>`
Overrides:
  `hashCode` in class `Object`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<EClass,Set<? extends EObject>>`

### keySet

public Set<EClass> keySet()

Specified by:
  `keySet` in interface `Map<EClass,Set<? extends EObject>>`

### put

public Set<? extends EObject> put(EClass key, Set<? extends EObject> value)

Specified by:
  `put` in interface `Map<EClass,Set<? extends EObject>>`

### putAll

public void putAll(Map<? extends EClass,? extends Set<? extends EObject>> t)

Specified by:
  `putAll` in interface `Map<EClass,Set<? extends EObject>>`

### remove

public Set<? extends EObject> remove(Object key)

Specified by:
  `remove` in interface `Map<EClass,Set<? extends EObject>>`

### size

public int size()

Specified by:
  `size` in interface `Map<EClass,Set<? extends EObject>>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### values

public Collection<Set<? extends EObject>> values()

Specified by:
  `values` in interface `Map<EClass,Set<? extends EObject>>`